package Servlet;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.EquipoDB;
import Datos.MiembrosClubDB;
import Modelo.CodClub;
import Modelo.Equipo;
import Modelo.MiembrosClub;
import java.util.ArrayList;
import java.util.UUID;

public class ModificarEquipoServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding == null) {
            request.setCharacterEncoding("UTF-8");
        }

        String url;
        HttpSession sesion = request.getSession();
        CodClub club = (CodClub) sesion.getAttribute("club");
        ArrayList <MiembrosClub> lista_entrenadores = MiembrosClubDB.getMiembrosClub(club.getNombre_club());
        request.setAttribute("lista_entrenadores", lista_entrenadores);
        String nombre_equipo = request.getParameter("nombreEquipo");
        String categoria_equipo = request.getParameter("categoriaEquipo");
        String sexo_equipo = request.getParameter("sexoEquipo");
        String entrenador1 = request.getParameter("entrenador1");
        String entrenador2 = request.getParameter("entrenador2");
        String delegado = request.getParameter("delegado");
        String id_equipo = UUID.randomUUID().toString();
        
        Equipo equipo = new Equipo (id_equipo, club.getId_club(), nombre_equipo, sexo_equipo, categoria_equipo, entrenador1, entrenador2, delegado);
        EquipoDB.addEquipo(equipo);
        url = "/crearEquipo2.jsp";
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
